> For the complete documentation index, see [llms.txt](https://docs.datapancake.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.datapancake.com/guides/how-to-guides-ui/pipeline-designer/how-to-merge-polymorphic-attribute-versions.md).

# How to Merge Polymorphic Attribute Versions

This feature allows you to automatically merge all numeric attributes into either the float or string polymorphic version of the attribute by creating a sql expression and an alias.

{% hint style="success" %}
This is useful when you have multiple numeric attributes that represent the same data but in different data types (e.g., str, int, and float).
{% endhint %}

### On the Pipeline Designer, select your data source and click on the Transformation/Security tab

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-11-24/5f0f2409-ca75-481a-9a9b-7a74f4618fe2/ascreenshot.jpeg?tl_px=0,26\&br_px=1376,795\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=505,277)

### Open the merge polymorphic versions section

{% hint style="info" %}
**Note:** This operation sets `INCLUDE_IN_SEMANTIC_LAYER` to **TRUE** for the polymorphic version (string or float) that is being merged into, and to **FALSE** for all other polymorphic versions.
{% endhint %}

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-11-24/78bb4f9e-09e2-4dc9-889e-0fae1f64014d/ascreenshot.jpeg?tl_px=0,91\&br_px=1376,860\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=409,277)

### Select string in the dropdown to merge numeric attributes into string polymorphic versions

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-11-24/33213ef9-1c77-4837-bb04-d7f48e0c7be0/ascreenshot.jpeg?tl_px=0,187\&br_px=1376,957\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=413,441)

### Click "Merge Attributes"

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-11-24/3a5782ab-accf-484b-83fd-15f7e820b56c/ascreenshot.jpeg?tl_px=0,187\&br_px=1376,957\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=300,432)

### Select float in the dropdown to merge numeric attributes into the float polymorphic version

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-11-24/e95a9d2a-8293-4665-9be8-3572a003f0a3/ascreenshot.jpeg?tl_px=0,187\&br_px=1376,957\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=414,402)

### Click "Merge Attributes"

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-11-24/8c2a80a8-5f10-49e7-bceb-2acadfed4a74/ascreenshot.jpeg?tl_px=0,187\&br_px=1376,957\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=296,430)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.datapancake.com/guides/how-to-guides-ui/pipeline-designer/how-to-merge-polymorphic-attribute-versions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
